package com.diagbot.repository;

import com.diagbot.entity.node.LisName;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface LisNameRepository extends Neo4jRepository<LisName, Long> {

    List<LisName> findByNameIs(String name);

    List<LisName> findByNameContaining(String name);

    @Query("MATCH (n:实验室检查) RETURN DISTINCT(KEYS(n))")
    List<List<String>> getKeys();

    List<LisName> findByNameIn(List<String> names);

    @Query("MATCH (n:实验室检查名称)-[r]->(b) where n.name contains {name} return n, collect(r), collect(b) limit 100")
    List<LisName> findByNameContaininglimit100(@Param("name") String name);
}

